> For the complete documentation index, see [llms.txt](https://docs.eesee.io/contracts/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.eesee.io/contracts/smart-contracts/contracts/periphery/crosschain/eeseeonramp-eeseeofframp/eeseeonrampproxy.md).

# EeseeOnRampProxy

## EeseeOnRampProxy

### onRampImplementation

```solidity
address onRampImplementation
```

*onRamp contract implementation.*

### UpdateOnRampImplementation

```solidity
event UpdateOnRampImplementation(address oldOnRampImplementation, address newOnRampImplementation, bytes initData)
```

### ChangedOnRampImplementation

```solidity
error ChangedOnRampImplementation()
```

### InvalidOnRampImplementation

```solidity
error InvalidOnRampImplementation()
```

### forward

```solidity
function forward(bytes data) external payable returns (bytes returnData)
```

*Delegates coll to onRampImplementation.*

### updateOnRampImplementation

```solidity
function updateOnRampImplementation(address _onRampImplementation, bytes initData) external
```

*Updates onRamp implementation. Note: can only be called by ADMIN\_ROLE.*

#### Parameters

| Name                   | Type    | Description                                                        |
| ---------------------- | ------- | ------------------------------------------------------------------ |
| \_onRampImplementation | address | - New onRampImplementation.                                        |
| initData               | bytes   | - Data with which initialize function in implementation is called. |

## Inherited from EeseePausable

### pause

```solidity
function pause() external virtual
```

*Called by the PAUSER\_ROLE to pause, triggers stopped state.*

### unpause

```solidity
function unpause() external virtual
```

*Called by the PAUSER\_ROLE to unpause, returns to normal state.*

## Inherited from EeseeRoleHandler

## Inherited from Pausable

### paused

```solidity
function paused() public view virtual returns (bool)
```

*Returns true if the contract is paused, and false otherwise.*

### Paused

```solidity
event Paused(address account)
```

*Emitted when the pause is triggered by `account`.*

### Unpaused

```solidity
event Unpaused(address account)
```

*Emitted when the pause is lifted by `account`.*


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.eesee.io/contracts/smart-contracts/contracts/periphery/crosschain/eeseeonramp-eeseeofframp/eeseeonrampproxy.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
